mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

Every object that is registered with is called by remoting when an object or proxy in the current is marshaled, unmarshaled, or disconnected.

Note that only objects can be disconnected. An exception is thrown when disconnect is called on a proxy.

This interface makes a link demand. A SecurityException is thrown if the immediate caller makes the call through a reference to the interface and does not have infrastructure permission. See [<topic://cpconLinkDemands>] for more information.

Indicates that the implementing object must be notified of marshaling, unmarshaling, and disconnection of objects and proxies by the remoting infrastructure.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Notifies the current instance that an object has been disconnected from its proxy.

  The disconnected object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Notifies the current instance that an object has been marshaled.

  The object that has been marshaled. The that results from marshaling and represents the specified object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Notifies the current instance that an object has been unmarshaled.

  The unmarshaled object. The that represents the specified object.